Foxit PDF SDK

Instance Methods | Properties | List of all members
FSLink Class Reference
Inheritance diagram for FSLink:

## Instance Methods
(BOOL) | - executeJavaScriptAction:
| Execute the JavaScript action associated with the link annotation. More...
(id) | - init
| Constructor.
(id) | - initWithAnnot:
| Constructor, with parent class object. More...
(BOOL) | - removeAction
| Remove action. More...
Instance Methods inherited from FSAnnot
(BOOL) | - FSMoveWithResetAppearance:is_reset_appearance:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - FSResetApStreamWithIsGenerateNewAppearanceObj:
| Reset appearance stream. More...
(FSPDFStream *) | - getAppearanceStream:appearance_state:
| Get annotation's appearance stream with specified type and state. More...
(FSRectI *) | - getDeviceRect:
| Get annotation rectangle in device coordinate system. More...
(FSPDFDictionary *) | - getDict
| Get annotation's dictionary object. More...
(FSMatrix2D *) | - getDisplayMatrix:
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
(int) | - getIndex
| Get the index of current annotation in the page which current annotation belongs to. More...
(FSPDFDictionary *) | - getOptionalContent
| Get the PDF dictionary of annotation's optional content. More...
(FSPDFPage *) | - getPage
| Get the related PDF page. More...
(FSRectF *) | - getRect
| Get rectangle, in PDF coordinate system. More...
(FSAnnotType) | - getType
| Get actual annotation type of current annotation. More...
(BOOL) | - hasProperty:
| Whether current annotation has the specified annotation's property. More...
(id) | - initWithPage:annot_dict:
| Constructor, with PDF page and annotation's PDF dictionary. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(BOOL) | - isMarkup
| Check if current annotation is a markup annotation. More...
(BOOL) | - move:
| Move current annotation to a new position, specified by a new rectangle in PDF coordinate system. More...
(BOOL) | - removeProperty:
| Remove a specified annotation's property. More...
(BOOL) | - resetAppearanceStream
| Reset appearance stream. More...

## Properties
FSAction * | action
| Get or Set action.
FSAnnotHighlightingMode | highlightingMode
| Get or Set highlighting mode.
FSQuadPointsArray * | quadPoints
| Get or Set quadrilaterals. More...
Properties inherited from FSAnnot
unsigned int | borderColor
| Get or Set border color. More...
FSBorderInfo * | borderInfo
| Get or Set border information. More...
NSString * | content
| Get or Set content.
unsigned int | flags
| Get or Set annotation flags.
FSDateTime * | modifiedDateTime
| Get or Set last modified date time.
NSString * | uniqueID
| Get or Set unique ID.

## Detailed Description

A link annotation represents an action to be performed.
Class FSLink is derived from FSAnnot , and offers functions to get/set link annotation's properties and reset appearance stream of a link annotation.

Note
  For a newly created link annotation, if user calls function FSAnnot::resetAppearanceStream directly without setting any other properties, the default appearance will be used:
  border width = 1.0, border style = FSBorderInfoSolid, border color = 0xFFFF0000 (red), opacity = 1.0, highlighting mode = FSAnnotHighlightingNone.

See also
  FSAnnot

## Method Documentation

## ◆ executeJavaScriptAction:()

- (BOOL) executeJavaScriptAction: |  | (FSJavaScriptAction*) | javascript_action |

Execute the JavaScript action associated with the link annotation.

Parameters

  The | executed javascript action and it should be belong to current annotation. It will execute the main JavaScript action if the value is empty.

Returns
  YES means success, while NO means failure.

## ◆ initWithAnnot:()

- (id) initWithAnnot: |  | (FSAnnot*) | annot |

Constructor, with parent class object.

Parameters

  [in] | annot | Parent class object.

Reimplemented from FSAnnot.

## ◆ removeAction()

- (BOOL) removeAction |  |  |

Remove action.

Returns
  YES means success, while NO means failure.

## Property Documentation

## ◆ quadPoints

- (FSQuadPointsArray *) quadPoints
| read write nonatomic weak

Get or Set quadrilaterals.

The order of points in a quadrilateral should be:

- The first point is the point in left-top corner of the quadrilateral.
- The second point is the point in right-top corner of the quadrilateral.
- The third point is the point in left-bottom corner of the quadrilateral.
- The fourth point is the point in right-bottom corner of the quadrilateral.